## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/pen.h File Reference

Vector shape drawing. More...

`#include "csgeom/poly3d.h"`
`#include "csgeom/polyidx.h"`
`#include "csgeom/vector4.h"`
`#include "csutil/cscolor.h"`
`#include "csutil/dirtyaccessarray.h"`
`#include "csutil/ref.h"`
`#include "ivideo/graph3d.h"`

Go to the source code of this file.

## Classes

class | csPen
| A pen specialized for CS. More...
struct | iPen
| A pen is used to draw vector shapes. More...

## Enumerations

enum | CS_PEN_TEXT_ALIGN

## Detailed Description

Vector shape drawing.

Definition in file pen.h.